package com.ruoyi.invest.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.IdWorker;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.invest.domain.DebitInfors;
import com.ruoyi.invest.domain.dto.DebitInforsDto;
import com.ruoyi.invest.domain.vo.DebitInforsVo;
import com.ruoyi.invest.mapper.DebitInforsMapper;
import com.ruoyi.invest.service.IDebitInforsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 信贷产品管理Service业务层处理
 *
 * @author tianyongbao
 * @date 2024-04-09
 */
@Service
public class DebitInforsServiceImpl implements IDebitInforsService
{
    @Resource
    private DebitInforsMapper debitInforsMapper;

    /**
     * 查询信贷产品管理
     *
     * @param id 信贷产品管理主键
     * @return 信贷产品管理
     */
    @Override
    public DebitInforsVo selectDebitInforsById(Long id)
    {
        return debitInforsMapper.selectDebitInforsById(id);
    }

    /**
     * 查询信贷产品管理列表
     *
     * @param debitInforsDto 信贷产品管理
     * @return 信贷产品管理
     */
    @Override
    public List<DebitInforsVo> selectDebitInforsList(DebitInforsDto debitInforsDto)
    {
        return debitInforsMapper.selectDebitInforsList(debitInforsDto);
    }

    /**
     * 新增信贷产品管理
     *
     * @param debitInfors 信贷产品管理
     * @return 结果
     */
    @Override
    public int insertDebitInfors(DebitInfors debitInfors)
    {
        debitInfors.setCreateBy(SecurityUtils.getUsername());
        debitInfors.setCreateTime(DateUtils.getNowDate());
        debitInfors.setId(IdWorker.getId());
        return debitInforsMapper.insertDebitInfors(debitInfors);
    }

    /**
     * 修改信贷产品管理
     *
     * @param debitInfors 信贷产品管理
     * @return 结果
     */
    @Override
    public int updateDebitInfors(DebitInfors debitInfors)
    {
        debitInfors.setUpdateBy(SecurityUtils.getUsername());
        debitInfors.setUpdateTime(DateUtils.getNowDate());
        return debitInforsMapper.updateDebitInfors(debitInfors);
    }

    /**
     * 批量删除信贷产品管理
     *
     * @param ids 需要删除的信贷产品管理主键
     * @return 结果
     */
    @Override
    public int deleteDebitInforsByIds(Long[] ids)
    {
        return debitInforsMapper.removeDebitInforsByIds(ids);
    }

    /**
     * 删除信贷产品管理信息
     *
     * @param id 信贷产品管理主键
     * @return 结果
     */
    @Override
    public int deleteDebitInforsById(Long id)
    {
        return debitInforsMapper.removeDebitInforsById(id);
    }
}
